#include "..\MaterialDefine.def"

[Technique]
{
  [Pass]
  {
    [Layer]
    {
      TextureSource     = TEXT_DIFFUSE
      TexCoordIndex     = 0

      ColorArg1 = TA_TEXTURE
      ColorArg2 = TA_DIFFUSE
      ColorOp   = TOP_MODULATE

      AlphaOp   = TOP_DISABLE

      TextureAddressU = TADDRESS_WRAP
      TextureAddressV = TADDRESS_CLAMP
      Filter = TF_LINEAR_MIP_LINEAR
    }
    [Layer]
    {
      ColorArg1 = TA_CURRENT
      ColorArg2 = TA_TFACTOR
      ColorOp   = TOP_MODULATE

      AlphaOp   = TOP_DISABLE
    }

    FillMode    = FILL_SOLID
    Cull        = CULL_CW
    DitherEnable        = TRUE
    SpecularEnable      = FALSE

    LightingEnable      = TRUE
    NormalizeNormals    = TRUE
    LocalViewer         = FALSE

    AlphaTestEnable     = FALSE

    AlphaBlendEnable    = FALSE

    ZWriteEnable        = TRUE
    ZFunc               = CMP_LESS

    TextureFactor	= 255, 255, 255, 255

    DiffuseMaterialSource	= MCS_MATERIAL
    SpecularMaterialSource	= MCS_MATERIAL
    AmbientMaterialSource	= MCS_MATERIAL
    EmissiveMaterialSource	= MCS_MATERIAL
  }
  [Pass]
  {
    [Layer]
    {
      TextureSource     = TEXT_DIFFUSE
      TexCoordIndex     = 0

      ColorArg1 = TA_SPECULAR
      ColorArg2 = TA_TEXTUREALPHA
      ColorOp   = TOP_SUBTRACT

      AlphaOp   = TOP_DISABLE

      TextureAddressU = TADDRESS_WRAP
      TextureAddressV = TADDRESS_CLAMP
      Filter = TF_LINEAR_MIP_LINEAR
    }
    [Layer]
    {
      ColorArg1 = TA_CURRENT
      ColorArg2 = TA_TFACTOR
      ColorOp   = TOP_MODULATE

      AlphaOp   = TOP_DISABLE
    }

    FillMode    = FILL_SOLID
    Cull        = CULL_CW
    DitherEnable        = TRUE
    SpecularEnable      = FALSE

    LightingEnable      = TRUE
    NormalizeNormals    = TRUE
    LocalViewer         = TRUE

    AlphaTestEnable     = FALSE

    AlphaBlendEnable    = TRUE
    SrcBlend    = BLEND_ONE
    DestBlend   = BLEND_ONE

    ZWriteEnable        = FALSE
    ZFunc               = CMP_LESSEQUAL

    TextureFactor	= 255, 255, 255, 255

    DiffuseMaterialSource	= MCS_MATERIAL
    SpecularMaterialSource	= MCS_MATERIAL
    AmbientMaterialSource	= MCS_MATERIAL
    EmissiveMaterialSource	= MCS_MATERIAL
  }
}
